# Memcached::casByKey

(PECL memcached >= 0.1.0)

Memcached::casByKey — Compare et échange un élément sur un serveur

### Description

public Memcached::casByKey(
string|int|float `$cas_token`,
string `$server_key`,
string `$key`,
mixed `$value`,
int `$expiration` = 0
): bool

Memcached::casByKey() est fonctionnellement équivalent à Memcached::cas(), mais la variable libre `server_key` peut être utilisée pour diriger la clé `key` sur un serveur spécifique.

### Liste de paramètres

`cas_token`

  Valeur unique, associée à un élément existant. Généré par memcache.

`server_key`

  La clé d'identification du serveur de stockage ou de récupération. Au lieu de hacher avec la clé courante pour l'élément, nous hachons avec la clé serveur lorsqu'il est décidé avec quel serveur memcache il convient de dialoguer. Ceci permet le regroupement des éléments correspondants sur un seul serveur permettant de meilleures performances lors d'opérations multiples.

`key`

  La clé avec laquelle stocker la valeur.

`value`

  La valeur à stocker.

`expiration`

  Le délai d'expiration, par défaut à zéro. Voyez délais d'expiration pour plus d'informations.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient. La méthode Memcached::getResultCode() va retourner `Memcached::RES_DATA_EXISTS` si l'élément que vous essayez de stocker a été modifié depuis votre dernière lecture.

### Voir aussi

- Memcached::cas() - Compare et échange un élément